import { Base, IDisposable, Type } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class RendererContainer extends Base implements IDisposable {
    static $t: Type;
    private _f;
    private _a;
    constructor(a: () => void);
    dispose(): void;
    private _onReady;
    get onReady(): () => void;
    set onReady(a: () => void);
    private _isDisposed;
    get isDisposed(): boolean;
    set isDisposed(a: boolean);
    private _isReady;
    get isReady(): boolean;
    set isReady(a: boolean);
    private _container;
    get container(): any;
    set container(a: any);
    private _e;
    get containerElement(): HTMLElement;
    set containerElement(a: HTMLElement);
    initialize(a: any, b: HTMLElement): void;
}
